/**
 * 节流器
 *
 * 指定时间内最多执行一次
 * @param limit 指定的时间(毫秒)
 *
 * ```
 *
 * ```
 */
export declare function throttle(fn: Function, limit: number): () => void;
/**
 * 节流装饰器
 *
 * 指定时间内最多执行一次
 * @param limit 指定的时间(毫秒)
 */
export declare function Throttle(limit: number): MethodDecorator;
